package holeg.simple_grid;

import holeg.model.GridEdge;
import holeg.power_flow.ComplexNumber;

import java.io.PrintStream;

public class SimpleGridEdge implements GridEdge {
    public SimpleGridNode from;
    public SimpleGridNode to;
    public double lengthKilometers = 0;
    public double current = 0;
    public ComplexNumber power = ComplexNumber.Zero;
    public ComplexNumber loss = ComplexNumber.Zero;
    public Object tag;

    @Override
    public SimpleGridNode getFrom() {
        return from;
    }

    @Override
    public SimpleGridNode getTo() {
        return to;
    }

    @Override
    public double getLengthKilometers() {
        return lengthKilometers;
    }

    @Override
    public void setCurrent(double current) {
        this.current = current;
    }

    @Override
    public void setPowerFlow(ComplexNumber power) {
        this.power = power;
    }

    @Override
    public void setLineLoss(ComplexNumber loss) {
        this.loss = loss;
    }

    public void print(PrintStream stream) {
        stream.printf("%.0f km, current: %.2f A, power flow: %s, line loss: %s", lengthKilometers, current, power.toString(), loss.toString());
        stream.println();
    }
}
