package holeg.simple_grid;

import holeg.model.GridEdge;
import holeg.model.GridNode;
import holeg.power_flow.ComplexNumber;

import java.io.PrintStream;
import java.util.List;

public class SimpleGridNode implements GridNode {
    public List<GridEdge> edges;
    public ComplexNumber powerConsumption = ComplexNumber.Zero;
    public ComplexNumber powerGeneration = ComplexNumber.Zero;
    public double voltage;
    public double current;
    public Object tag;

    @Override
    public List<GridEdge> getEdges() {
        return edges;
    }

    @Override
    public ComplexNumber getPowerConsumption() {
        return powerConsumption;
    }

    @Override
    public ComplexNumber getPowerGeneration() {
        return powerGeneration;
    }

    @Override
    public void setVoltage(double voltage) {
        this.voltage = voltage;
    }

    @Override
    public void setCurrent(double current) {
        this.current = current;
    }

    public void print(PrintStream stream) {
        stream.printf("consumption: %s, generation: %s, voltage: %.3f V, current: %.3f A", powerConsumption.toString(), powerGeneration.toString(), voltage, current);
        stream.println();
    }
}
