package holeg.ui;

import ui.model.MinimumModel;
import ui.model.Model;

import javax.swing.*;

public class PowerFlowAnalysisMenu extends JMenu {
    private JMenuItem settingsMenu;
    private JMenuItem showFlow;
    private JCheckBoxMenuItem showResultMessageBox;
    private JCheckBoxMenuItem showDebugMessageBox;

    private static PowerFlowAnalysisMenu instance;

    public PowerFlowAnalysisMenu(Model model) {
        super("Power flow");

        settingsMenu = add(new JMenuItem("Settings"));
        showFlow = add(new JMenuItem("Show flow table"));
        showResultMessageBox = (JCheckBoxMenuItem) add(new JCheckBoxMenuItem("Show result message"));
        showDebugMessageBox = (JCheckBoxMenuItem) add(new JCheckBoxMenuItem("Show debug message"));

        instance = this;
    }

    public boolean shouldShowResult() {
        return showResultMessageBox.getState();
    }

    public boolean shouldShowDebug() {
        return showDebugMessageBox.getState();
    }

    public static PowerFlowAnalysisMenu getInstance() {
        return instance;
    }
}
